$typo-scale-offset: 0 !default
$typo-scale-allow-half-lines: true !default
$typo-scale-sizing-factor: 1 !default

=typo-scale($increment)
	font-size: round(ms($increment) * $typo-scale-sizing-factor)
	@if $typo-scale-allow-half-lines
		line-height: floor(ms($increment) * $typo-scale-sizing-factor / (.5 * $line-height) + 1) * .5 * $line-height
	@else
		line-height: floor(ms($increment) * $typo-scale-sizing-factor/ $line-height + 1) * $line-height

@function ms($increment, $value: $font-size, $ratio: $ratio)
	@if $increment > 0
		@for $i from 1 through $increment
			$value: ($value * $ratio)
	@else if $increment < 0
		$increment: abs($increment + 1)
		@for $i from 1 through $increment
			$value: ($value / $ratio)
	@return $value
